### Navigation

- index
- modules |
- next |
- previous |
- pycollada 0.4 documentation »
- API Reference »

# collada.scene.LightNode

class `collada.scene.``LightNode`(light, xmlnode=None)

  Bases: `collada.scene.SceneNode`

  Represents a light being instantiated in a scene, as defined in the collada <instance_light> tag.

  `__init__`(light, xmlnode=None)

    Create a light instance

    Parameters:

    - light (collada.light.Light) – The light being instantiated
    - xmlnode – When loaded, the xmlnode it comes from

  Methods

  `__init__`(light[, xmlnode]) | Create a light instance
  `load`(collada, node) |
  `objects`(tipo[, matrix]) | Yields a `collada.light.BoundLight` if `tipo=='light'`
  `save`() | Saves the light node back to `xmlnode`

  `light` = None

    An object of type `collada.light.Light` representing the instantiated light

  `xmlnode` = None

    ElementTree representation of the light node.

  `objects`(tipo, matrix=None)

    Yields a `collada.light.BoundLight` if `tipo=='light'`

  `save`()

    Saves the light node back to `xmlnode`

### Navigation

- index
- modules |
- next |
- previous |
- pycollada 0.4 documentation »
- API Reference »